#!/usr/bin/make

# nonintel.mak Version 0.3.0 - Compile Mega Millions Lottery
# for a non-Intel platform.
# Copyright (C) 2002-2010   dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

MEGAMIL=megamil.o \
	getmm.o \
	combo.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

MMQPICK=qpick.o \
	getmm.o \
	combo.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

MMPROB=mmprob.o \
	getmm.o \
	combo.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

all:		megamil qpick mmprob

megamil:	$(MEGAMIL)
	$(CC) -Wall -O6 $(MEGAMIL) -o megamil $(LDFLAGS)

qpick:		$(MMQPICK)
	$(CC) -Wall -O6 $(MMQPICK) -o qpick $(LDFLAGS)

mmprob:		$(MMPROB)
	$(CC) -Wall -O6 $(MMPROB) -o mmprob $(LDFLAGS)

megamil.o:	megamil.c
	$(CC) $(CFLAGS) megamil.c

qpick.o:	qpick.c
	$(CC) $(CFLAGS) qpick.c

mmprob.o:	mmprob.c
	$(CC) $(CFLAGS) mmprob.c

getmm.o:	getmm.c
	$(CC) $(CFLAGS) getmm.c

initrnd.o:	initrnd.c
	$(CC) $(CFLAGS) initrnd.c

rnd.o:		rnd2.c
	$(CC) -o rnd.o $(CFLAGS) rnd2.c

rndnum.o:	rndnum2.c
	$(CC) -o rndnum.o $(CFLAGS) rndnum2.c

rndpwr.o:	rndpwr2.c
	$(CC) -o rndpwr.o $(CFLAGS) rndpwr2.c

clean:
	rm -f $(MEGAMIL) megamil
	rm -f $(MMQPICK) qpick
	rm -f $(MMPROB) mmprob
